Subject: bug#61973: closed (Re: bug#61973: M-x gdb ends up with infinite prompts before starting the process)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 07 Mar 2023 12:50:03 +0000

Your bug report

#61973: M-x gdb ends up with infinite prompts before starting the process

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61973: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61973
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61973: M-x gdb ends up with infinite prompts before starting the process
From: Eli Zaretskii <[email-masked]>
To: Dmitry Gutov <[email-masked]>
Cc: [email-masked]
Date: Tue, 07 Mar 2023 14:49:02 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 7 Mar 2023 00:48:59 +0200
> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> > Could you please try the patch below?  I don't have access to a system
> > where GDB can actually download the files from debuginfod servers, so
> > I could test this only partially.  Please test all the 3 possible
> > values of the new defcustom gdb-debuginfod-enable-setting.  TIA.
> 
> Looking good! Thank you.

Thanks, installed, and closing the bug.

> I have tries all 3 possible values, and the behavior looks as expected. 
> With 't', I even see a small delay when launching the process, 
> presumably from contacting some debuginfo server.
> 
> I haven't been able to verify that the debuginfo stuff is actually 
> working (nor sure where to look), but the basic functionality is now okay.

Apparently, if you do:

  set debuginfo verbose 1

(probably in your ~/.gdbinit file or somesuch, so that it is set from
the beginning of the session), it is supposed to show you messages
about downloading.  But this is documented to be 1 by default, so
maybe you don't see it because gdb-mi.el "swallows" those messages?
Try from the shell prompt and see if you get any messages.  They are
supposed to begin with "Downloading".  I think the download will only
happen if you debug a program whose sources and/or debug info are not
available locally.

Subject: M-x gdb ends up with infinite prompts before starting the process
From: Dmitry Gutov <[email-masked]>
To: [email-masked]
Date: Sun, 5 Mar 2023 03:13:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

1. Run compiled 'emacs' from 'src'.
2. M-x gdb
3. Answer prompt: Run gdb (like this): gdb -i=mi ./emacs
4. See this prompt repeated indefinitely, no matter what I answer:

This GDB supports auto-downloading debuginfo from the following URLs:
https://debuginfod.ubuntu.com
Enable debuginfod for this session? (y or [n]) Please answer y or [n].

(Emacs 29, more or less latest.)